global fixPal, myLine, csn, lem, palName, bd, tpal, myLine2, gdirmovie, gBackColor, gForeColor

on startMovie
  if the machineType < 256 then
    openXLib("XPALETTE")
    set fixPal to fixPalette(mnew, the stageLeft, the stageTop, the stageRight, the stageBottom)
  else
    openXLib("XPALETTE.dll")
    set fixPal to XPALETTE(mnew)
  end if
  if the colorDepth = 8 then
    set gBackColor to 31
    set gForeColor to 255
  end if
  if the colorDepth = 16 then
    if the machineType > 256 then
      set gBackColor to 729
      set gForeColor to 0
    else
      set gBackColor to 31
      set gForeColor to 255
    end if
  end if
  if the colorDepth = 32 then
    set gBackColor to 46542
    set gForeColor to 0
  end if
  set auto to 0
  set ok to 3
  set myLine to 1
  set myLine2 to 1
  set tpal to 201
  set csn to the number of lines in field "asset list"
  cursor(0)
  colorMe()
  txtHandler()
end

on txtHandler
  global myLine
  put the text of cast (myLine + 50) into field "Desc"
  set the castNum of sprite 10 to myLine + 100
  updateStage()
end

on colorMe
  set the foreColor of field "asset list" to gForeColor
  if myLine = -1 then
    set the foreColor of field "asset list" to gForeColor
    exit
  end if
  set the foreColor of line myLine of field "asset list" to gBackColor
end

on patchPal
  fixPal(mPatchIt)
end

on stopMovie
  fixPal(mdispose)
  if the machineType < 256 then
    closeXLib("XPALETTE")
  else
    closeXLib("XPALETTE.dll")
  end if
end

on flushMe
  if the machineType = 256 then
    openXLib("GLOBMEM")
    set OBJ to GLOBMEM(mnew)
    OBJ(mFreeHandles, 8192)
    OBJ(mFreeHandles, 8192)
    OBJ(mFreeHandles, 8192)
    OBJ(mdispose)
  end if
end
